package cd.casic.ci.process.engine.enums;

import lombok.Getter;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName DbIdEnum
 * @Date: 2025/5/22 9:56
 * @Description:
 */
@Getter
public enum DbIdEnum {
    /**
     * mysql
     */
    MYSQL("mysql", "mysql"),

    /**
     * pgsql
     */
    PG_SQL("pgsql", "postgresql"),

    /**
     * oracle
     */
    ORACLE("oracle", "oracle"),

    /**
     * mssql
     */
    MS_SQL("mssql", "sqlserver"),

    /**
     * 达梦数据库
     */
    DM_SQL("dm", "dm"),

    /**
     * 人大金仓数据库
     */
    KINGBASE_ES("kingbase", "kingbasees");

    private final String code;

    private final String name;

    DbIdEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

}
